<div class="new-organization-container" *ngIf="loading">
  <div class="close" (click)="closeDialog()"></div>
  <h2>{{ 'newOrganization.editTitle' | translate }}</h2>
  <form [formGroup]="form" (ngSubmit)="onSubmit()" class="user-form">
    <mat-form-field>
      <input
        matInput
        placeholder="{{ 'newOrganization.name' | translate }}"
        formControlName="organizationName"
      />
    </mat-form-field>

    <mat-form-field>
      <input
        matInput
        placeholder="{{ 'newOrganization.description' | translate }}"
        formControlName="organizationDescription"
      />
    </mat-form-field>

    <!-- <mat-form-field>
      <input matInput #FileSelectInputDialog  type="file" formControlName="logo">
    </mat-form-field>

    <div class="buttons-next-to-each-other">
      <mat-radio-group aria-label="Logo" [(ngModel)]="defaultLogo" [ngModelOptions]="{standalone: true}">
        <mat-radio-button class="radio-button-space" checked [value]="true"> Use Default Logo</mat-radio-button>
        <mat-radio-button  class="radio-button-space" [value]="false"> Import New Logo </mat-radio-button>
      </mat-radio-group>

    </div>
    <div>
      <button [disabled]="defaultLogo" class="half-space" mat-raised-button color="primary"(click)="inputFile.click()">Import New Logo</button> {{ inputFile.value }}
      <input #inputFile type="file" [style.display]="'none'">
    </div>
    <div class="icon-space">
      <div *ngIf="defaultLogo === true && inputFile; else logo">
          <app-flower-icons class="toolbarIcon icon-size-xs icon-black" name="organizationIcon"></app-flower-icons>
      </div>
        <ng-template #logo>
        <img rel="icon" type="image/x-icon" [src]="inputFile"/>
        </ng-template>
      </div>-->

    <div class="btn">
      <button (click)="onSubmit()" mat-raised-button color="primary">
        {{ 'newOrganization.edit' | translate }}
      </button>
    </div>
  </form>
</div>
